<template>
  <v-app>
    <v-navigation-drawer
      v-model="drawer"
      color="primary"
      :clipped="clipped"
      fixed
      app
    >
      <v-row
        class="fill-height"
        no-gutters
      >
        <v-col cols="auto">
          <packages />
        </v-col>
        <v-col class="options-list">
          <profile class="grow order-0" />
          <v-divider class="mx-2 order-0" />
          <package-options class="grow order-1" />
          <logout class="logout" />
        </v-col>
      </v-row>
    </v-navigation-drawer>

    <v-app-bar
      color="secondary"
      :clipped-left="clipped"
      fixed
      app
    >
      <v-app-bar-nav-icon
        @click.stop="drawer = !drawer"
      />
      <v-toolbar-title
        class="toolbar-title"
      >
        <span class="text-body-1 font-weight-medium">
          Centro de distribución:
        </span>
        <span class="text-body-1">
          {{ center }}
        </span>
      </v-toolbar-title>
    </v-app-bar>
    <v-main>
      <v-container>
        <Nuxt />
      </v-container>
    </v-main>
  </v-app>
</template>

<script>
import Packages from '~/layouts/Dashboard/Packages';
import PackageOptions from '~/layouts/Dashboard/PackageOptions';
import Profile from '~/layouts/Dashboard/Profile';
import Logout from '~/layouts/Dashboard/Logout';

export default {
  components: {
    Profile,
    Packages,
    PackageOptions,
    Logout,
  },
  middleware: 'auth',
  data() {
    return {
      clipped: true,
      drawer: true,
      fixed: false,
    };
  },
  computed: {
    center() {
      return this.$auth.user?.center?.name ?? '-';
    },
  },
};
</script>
<style scoped>
.toolbar-title {
  color: white;
}
.options-list {
  position: relative;
  padding-bottom: 500rem;
}
.logout {
  position: absolute;
  bottom: 1rem;
}
</style>
